#
# spec file for package libbeagle (Version 0.2.18)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libbeagle
BuildRequires:  glib2-devel glibc-devel intltool libxml2-devel mono-data-sqlite mono-devel python-devel
%if %suse_version >1010
BuildRequires:  python-gtk-devel
%else
BuildRequires:  python-gtk
%endif
%define prefix   /usr
%define sysconfdir /etc/
License:        The Apache Software License; X11/MIT
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Version:        0.2.18
Release:        55.13.1.1
Summary:        Beagle C interface
Url:            http://www.gnome.org/projects/beagle/
Source:         beagle-%{version}.tar.gz
Patch:          libbeagle-only.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
Library to talk to the beagle server in C.



Authors:
--------
    Jon Trowbridge       <trow@novell.com>
    Nat Friedman         <nat@novell.com>
    Todd Berman          <tberman@off.net>
    Michael Levy         <mlevy@wardium.homeip.net>
    Joe Gasiorek         <joe.gasiorek@gmail.com>
    Arwed V. Merkatz     <v.merkatz@gmx.net>
    Christopher Orr      <chris@protactin.co.uk>
    Dave Camp            <dave@novell.com>
    Veerapuram Varadhan  <vvaradhan@novell.com>
    Michael Bayne        <mdb@samskivert.com>
    Fredrik Hedberg      <fredrik.hedberg@hedbergs.com>
    Robert Love          <rml@novell.com>
    Joe Shaw             <joeshaw@novell.com>
    Chris Lahey          <clahey@ximian.com>
    Tuomas Kuosmanen     <tigert@tigert.priv>
    Alex Graveley        <alex@beatniksoftware.com>
    Adam Lofts           <adam@negligible.co.uk>
    Lukas Lipka          <lukas@pmad.net>
    Rafael Slinckx       <raf.raf@wol.be>
    James Vipond         <james.vipond@ntlworld.com>
    Carl-Emil Lagerstedt <carl-emil@lagerstedt.net>

%package devel
License:        The Apache Software License; X11/MIT
Summary:        Beagle C interface
Group:          Development/Libraries/GNOME
Requires:       libbeagle = %{version} libxml2-devel glib2-devel glibc-devel

%description devel
Library to talk to the beagle server in C.



Authors:
--------
    Jon Trowbridge       <trow@novell.com>
    Nat Friedman         <nat@novell.com>
    Todd Berman          <tberman@off.net>
    Michael Levy         <mlevy@wardium.homeip.net>
    Joe Gasiorek         <joe.gasiorek@gmail.com>
    Arwed V. Merkatz     <v.merkatz@gmx.net>
    Christopher Orr      <chris@protactin.co.uk>
    Dave Camp            <dave@novell.com>
    Veerapuram Varadhan  <vvaradhan@novell.com>
    Michael Bayne        <mdb@samskivert.com>
    Fredrik Hedberg      <fredrik.hedberg@hedbergs.com>
    Robert Love          <rml@novell.com>
    Joe Shaw             <joeshaw@novell.com>
    Chris Lahey          <clahey@ximian.com>
    Tuomas Kuosmanen     <tigert@tigert.priv>
    Alex Graveley        <alex@beatniksoftware.com>
    Adam Lofts           <adam@negligible.co.uk>
    Lukas Lipka          <lukas@pmad.net>
    Rafael Slinckx       <raf.raf@wol.be>
    James Vipond         <james.vipond@ntlworld.com>
    Carl-Emil Lagerstedt <carl-emil@lagerstedt.net>

%prep
%setup -q -n beagle-%{version}
%patch
rm -rf BeagleClient beagle bludgeon ContactViewer epiphany-extension Filters glue images ImLogViewer mozilla-extension search tools Util

%build
libtoolize -f
aclocal -I .
autoheader
autoconf
automake --add-missing
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --mandir=%prefix/share/man \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var \
    --disable-schemas-install \
    --libexecdir=/usr/lib/beagle \
    --enable-python \
    --disable-gui \
    --disable-bludgeon \
    --disable-thunderbird \
    --disable-evolution
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# For some bizzarre reason, even though gtk-doc is not enabled, it's
# installing the files anyway.  Let's blow them away for now.
rm -rf $RPM_BUILD_ROOT/usr/share/gtk-doc

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/%_lib/libbeagle.so.*
%{prefix}/%{_lib}/python%{py_ver}/site-packages/*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/libbeagle.so
%{prefix}/%_lib/libbeagle.*a
%{prefix}/include/libbeagle
%{prefix}/%_lib/pkgconfig/*.pc

%changelog
* Mon Dec  6 2010 dliang@novell.com
- fix bnc#657342
  beagle-657342-scrollbar-to-limit-nomatch-window-size.patch
  backport from sle11 (bnc#574225)
  update beagle-log-level-warn.patch (build issue)
* Tue Sep 14 2010 mxwu@novell.com
- Add beagle-firefox-support-3.6.patch
  - Support Firefox 3.6
* Tue Jun  2 2009 pwu@suse.de
- fixes bnc#372186, correct improper handling '#' in url.
  Add a patch beagle-docbookentry.patch.
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Fri Feb 15 2008 mauro@suse.de 
- Added translations update.
* Fri Jan 18 2008 jpr@suse.de
- Update to 0.2.18
  * Build and run against evolution-sharp 0.13.3.
  * No longer recrawl directories if we can't set up an inotify watch.
  This fixes the looping bug of death when the screensaver kicks in.
  * Greatly improve indexing overhead with the beagle-build-index tool.
  * Display a warning in the log if the number of inotify watches runs
  out.
  * Fix a problem in which beagle-search wouldn't work after a daemon
  restart.  [bgo #463803]
  * Fix a bug in which processing large numbers of maildir files could
  cause beagled to run out of file descriptors.  [bgo #466891]
  * Add support for the ~/.liferea_1.2 directory to the Liferea
  backend.  [bgo #426573]
  * Add support for PDF keywords, and allow colons in PDF metadata.
  [bgo #463003]
  * Ignore legal.xml files in the Docbook filter, since they're largely
  content-less and frequently duplicated.
  * Fix the SQL used to retrieve tag information from the Digikam DB.
  [bgo #454656]
  * Improve error reporting throughout.
  * When extracting files from archives, save the temporary files with
  the appropriate file extensions (rather than .tmp) so that
  extension-based MIME type detection works correctly.
  * Handle phrase queries that contained stop words much better.
  For example, previously "no dice" would return no hits.
  * Make the archive filter much more robust. [bgo #415056, bnc #244490
  and #228718]
  * Add --disable-on-battery to beagle-build-index, add support for
  it in beagle-crawl-system, and enable it for the documentation
  index, since it takes a while to build. [bgo #383789]
  * Add --disable-text-cache to the Beagle daemon, to disable storing of
  text for snippets.  This saves substantial amounts of disk space at
  the expense of showing snippets in the UI.
  * Fix a bug in which deleted files weren't removed from the text cache
  properly.
  * Fix prohibited date queries (ie, -date:20070505) in most cases.
  * Fix an infinite loop on certain SVG files. [bgo #407564]
  * Fix an infinite loop on some truncated JPEG files. [bgo #405372]
  * Limit PDF tools to 100 megs mapped memory. [bgo #335461]
  * Add more well-known locations for Docbook files, since their MIME
  type often cannot be determined beyond generic XML types.
  * Use the TOMBOY_HOME environment variable if available. [bgo #332102]
  * Fix the CHM filter. [bgo #408047]
  * Fix opening of Konversation hits in beagle-search. [bgo #408101]
  * Shut down the daemon sooner if requested in the middle of a large
  batch of files being indexed.
  * Many other minor filter and backend fixes.
  * Redirect low-level stdout and stderr to the log file, rather than
  just .Net streams so that Mono crashes are logged and saved
  somewhere useful.
  * Lower CPU priority in the Beagle daemon, for instances where we get
  a little CPU hungry.
  * Add a new index verification process if stale lockfiles are left
  behind for whatever reason (usually an index helper crash).  The
  process is rather CPU intensive, but overall will be less painful
  than purging the index and reindexing everything.
  * Watch the X connection more closely, fixing a bug in which the
  daemon wouldn't exit when the user logged out if it didn't have any
  work to do.
  * Always start the daemon with --replace, so that no more than one
  copy is running per user.
  * Speed up the returning of results by about 10%%.
  * Remove separate crawling and indexing threads from
  beagle-build-index, causing it to be slightly faster and use a lot
  less memory.
  * Speed up beagle-index-info by returning cached document counts, and
  not starting up a helper process to get them.
  * Fix an infinite loop problem with empty OpenOffice documents. [bgo
  [#427256], #435694]
  * Better handle PDF files which spew tons of warnings with
  pdfinfo. [bgo #425150]
  * Display the first Nautilus emblem on file results, and fix an
  uncommon memory leak in the beagle-search UI.
  * Remove the Mono --debug argument from beagle-search, saving about 2
  megs RSS and making startup faster.  Also remove it from things like
  beagle-build-index.
  * Fix a bug in which mail attachments which didn't have a file name
  weren't being displayed in the UI.
  * Fix bugs in counting the total number of results in the UI.
  * Fix a crash caused by empty buddy icons. [Launchpad #93064]
  * Fix a crash caused by empty icons from Liferea. [bgo #428336]
  * Fix an exception caused by Evolution IMAP folders with commas in
  their names. [bgo #432417, lp #108957]
  * Redirect MS Word extractor script output to stderr so that it
  doesn't interfere with the indexing process.
  * Fix some file modification date handling issues in the daemon.
  * Exit the beagle-crawl-system cronjob if beagle-build-index doesn't
  exist. [bgo #370943]
  * Always set the process name in beagle-extract-content.
  * Add application/xhtml+xml as a MIME type for the HTML filter.
  * Sync our copy of xdgmime with the upstream GTK+ version.
  * Translations
- Remove beagle-empty-ooo-file.patch, it was upstreamed
- Remove beagle-disable-konversation.patch, it was only disabled
  due to feature freeze
- Rediff libbeagle-only.patch so it still applies
- Add back beagle-no-index-on-battery.patch to ensure no indexing
  on battery by default
- Add beagle-xdgmime-reload-crash to fix another xdg mime crash
  (#326806)
- Add beagle-evolution-sharp-0.10.patch to build against older
  evolution-sharp
* Thu Apr 19 2007 maw@suse.de
- Update translations.
* Fri Mar 30 2007 jhargadon@suse.de
- added translations
* Thu Mar 29 2007 joeshaw@suse.de
- Add a patch to handle empty OpenOffice documents.  (bnc #259031)
* Thu Mar 15 2007 joeshaw@suse.de
- Update to 0.2.16.3:
  - Updated translations from the Novell language team.
  - Fix the archive filter to not throw exceptions of a large or
    broken file is skipped.
  - Fix the archive filter to not leave behind files in /tmp if
    extracting an archive fails for some reason. (bgo #415056)
  - Fix a bug in which an idle daemon wouldn't shut down when the
    user logged out.  We now more closely monitor the X
    connection.
  - Fix a bug in which prohibited date queries didn't work at
    all.
  - Set our process name in beagle-extract-content, so that it
    doesn't show up as "mono".
  - Fix a memory leak by reusing our inotify callback.
  - Start beagled with the --replace option in our autostart
    script, so that any old daemons left behind are replaced on
    subsequent logins.
* Thu Feb 22 2007 joeshaw@suse.de
- Update to 0.2.16.2:
  - Put some limits on the sizes of files extracted from
    archives, to prevent /tmp from filling up.  (bnc #244490 and
    [#228718]).
  - Fix the CHM filter.  (bgo #408047)
  - Limit the PDF tools to 100 megs address space.  (bgo #335461)
  - Add --disable-on-battery to beagle-build-index, and turn it
    on when building the documentation index, since it can take a
    long time to build.  (bgo #383789)
* Wed Feb 14 2007 joeshaw@suse.de
- Update to 0.2.16.1, a release from a bugfix-only 0.2.16 branch.
  - Add a --disable-text-cache option, to be more disk efficient.
    (bnc #217018)
  - Add more locations (like /opt/gnome/share/gnome/help) as
    locations to recognize files with .xml extension as Docbook
    files.  (bnc #244594)
  - Fix a bug where stop words as search terms would return no
    results.
  - Bug fixes to date serialization in our message format, to
    better deal with UTC/local time conversion.
  - Fix infinite loop in SVG filter.  (bgo #407564)
  - Fix problem where non-file backed files would be reindexed
    unnecessarily.
  - Honor TOMBOY_PATH env var.  (bgo #332102)
  - Fix incorrect hit count for files that are ignored.
    (bgo #405317)
  - Fix a bug in which items weren't being deleted from the text
    cache.
  - Fix an infinite loop on certain bad JPEG files.  (bgo #405372)
  - Fix a file descriptor leak when closing large files early.
  - Fix syntax error that breaks the build with Mono 1.2.3 or
    newer.
* Wed Feb  7 2007 joeshaw@suse.de
- Update to 0.2.16, a bug fix release.
  - Fix bugs in the JPEG, PDF, and SVG filters.
  - Work around a deadlock in Mono (bgo #402065)
  - Fix a problem in our sqlite schema that caused Beagle to loop
    on a single directory.
  - Fix indexing of KMail folders (bnc #238161, bgo #391647 and
    [#401767])
  - Fix bugs in backends reporting that the initial indexing is
    still running even after it has finished.
  - Work around a SharpZipLib bug that could cause beagle to
    loop infinitely on some archive files.  (bgo #402280)
* Tue Jan 30 2007 joeshaw@suse.de
- Update to 0.2.15.1:
  - Fixes 29 upstream bugs, plus bnc bugs #202060, #225637,
    [#240231] and part of #159055.
  - Large memory reduction on Evo IMAP folders (fate 301059)
  - Move MS Word text extractor out of process for reliability
    (bgo #397180, #323276, #330533)
  - Fixed RTF filter to extract more info and handle more
    documents.  (bgo #172294, #393766)
  - Limits added to text extractors to prevent them from running
    away with CPU or memory.
  - New beagle-dump-index diagnostic tool.
  - Disable Konversation backend (due to feature freeze)
  - Remove obsoleted/included patches, incorporating
    KOrganizer backend (fate 3591, 3592)
* Fri Jan 19 2007 joeshaw@suse.de
- Don't install the beagle-search autostart .desktop file,
  because we have search built into the GNOME and KDE start
  menus.  (bnc #231720, bnc #236461)
* Mon Jan 15 2007 stbinner@suse.de
- add KOrganizer backend (upstream r3259, Fate 3591 and 3592)
* Thu Dec 14 2006 joeshaw@suse.de
- Update to 0.2.14:
  - Adds archive filter (bnc #130982)
  - Adds progress notification during indexing.  (fate #301218)
  - Fixes many memory leaks, excess allocations, and
    unnecessarily held references.  (fate #301059, bnc #220793)
  - Many bug fixes since 0.2.12.
  - Fixes a problem in which all matching results weren't
    returned.  (bnc #222788)
  - Fix indexing of Word, Powerpoint, and CHM files.
    (bnc #222661)
  - Updated Hungarian translation.  (bnc #220306)
* Tue Nov 14 2006 joeshaw@suse.de
- Move the non-libbeagle pkgconfig files back into the beagle
  package, where they belong.  This fixes a bug in which those
  pkgconfig files has /usr/local set as their prefix.
* Tue Nov  7 2006 joeshaw@suse.de
- Update to 0.2.12:
  - Significant memory reductions (fate #301059)
  - Fixes to KAddressbook and KNotes backends
  - Performance improvements to daily cron jobs
* Fri Oct 20 2006 joeshaw@suse.de
- Update to 0.2.11:
  - Improves search time performance
  - Adds KNotes backend
  - Adds KAddressbook backend (fate #3596)
* Sun Oct 15 2006 stbinner@suse.de
- fix build on 64 bit
* Wed Oct  4 2006 stbinner@suse.de
- quick break up of beagle and libbeagle builds
* Mon Sep 25 2006 joeshaw@suse.de
- Add %%py_requires to libbeagle.  Fixes bnc #207921
* Tue Sep 19 2006 stbinner@suse.de
- fix build for 10.1
* Mon Sep 18 2006 joeshaw@suse.de
- Update package to 0.2.10.  Fixes bgo #354161, #354776, #351913,
  [#355239], #348139, and probably most seriously #355932. Also
  fixes a handful of other small bugs.
- Reenable the Epiphany extension now that it works with 2.16
* Fri Sep 15 2006 joeshaw@suse.de
- Add a call to intltoolize in our %%configure section to fix the
  build with newer intltools.
* Mon Sep 11 2006 jhargadon@suse.de
- added a patch to fix an error with a function that could return
  random data in beagle-scheduler-information.c and
  beagle-queryable-status.c
* Sat Sep  2 2006 aj@suse.de
- Cleanup BuildRequires.
- Fix build - do not package epiphany until beagle works with
  epiphany 2.16.
* Fri Sep  1 2006 joeshaw@suse.de
- Update package to 0.2.9 and remove obsolete patch
- Create a new beagle-thunderbird package which contains the
  thunderbird backend.
- Fixes bnc #192443, #184585, #191406, #202746, #191103, #168747.
- Closes fate #301062, #301064, #301065.
* Thu Aug 17 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gobject2-devel
* Tue Aug 15 2006 ro@suse.de
- added python-gobject2-devel to BuildRequires
* Tue Jul 11 2006 stbinner@suse.de
- Add upstream patch to fix libbeagle socket path for NFS
* Mon Jul 10 2006 joeshaw@suse.de
- Add back in one of the patches which is still relevant.
* Thu Jul  6 2006 joeshaw@suse.de
- Upgrade package to 0.2.7; remove all the patches that have
  accumulated over time.
* Thu Jun 29 2006 aj@suse.de
- Patch from Zhe Su to fix #179555:
  * Use translation files
  * rediff chinese translation
- Fix version check in spec file.
* Mon Jun 26 2006 gekker@suse.de
- Update translations for .fr
* Fri Jun 23 2006 joeshaw@suse.de
- Add a patch to catch exceptions when calling the GetChanges()
  methods on calendars and addressbooks.  bnc #187792.
* Thu Jun 22 2006 gekker@suse.de
- Update translations for zh_CN (#179555)
* Mon Jun 19 2006 joeshaw@suse.de
- Add a patch to work around a mono bug so that dangling symlinks
  in ~/.beagle/Log are cleaned up.  bnc #185856.
- Fix the beagled autostart delay to be 300 seconds (5 minutes),
  rather than the 500 seconds I had mistakenly set previously.
* Fri Jun 16 2006 gekker@suse.de
- Update translations for ja
* Wed Jun 14 2006 joeshaw@suse.de
- Add a patch to use SafeProcess to start the index helper
  process, which will automatically (and immediately) reap zombie
  child processes.  Fixes bnc #185069.
* Tue Jun 13 2006 sreeves@suse.de
- Fix for 182999 - Change beagle settings name
* Mon Jun 12 2006 joeshaw@suse.de
- Don't split up a calendar's description field if it's empty.
  Fixes bnc #183722.
* Thu Jun  8 2006 danw@suse.de
- Make sure that if a tile gets wider, the window gets wider as well
  (rather than just hiding the rightmost part of the search area).
  [#181355].
* Tue Jun  6 2006 gekker@suse.de
- Install the firefox plugin in /usr/lib (#181675)
* Fri Jun  2 2006 gekker@suse.de
- UPdate translations for de
* Tue May 30 2006 gekker@suse.de
- Update translations for de,es,fr,hu,it,ja,pt_BR,zh_CN,zh_TW
* Mon May 29 2006 joeshaw@suse.de
- Update zh_CN translation.  (bnc #179555)
* Fri May 26 2006 joeshaw@suse.de
- Add a patch to remove terminal entries from beagle-search
  results when command-line lockdown is enabled.  (bnc #179333)
* Tue May 23 2006 joeshaw@suse.de
- Add a patch to check for mmap() in configure.in
- Run autoheader in the %%setup section so we get the mmap check.
- Add a patch for fix a crash in xdgmime when the underlying
  data changes.  (bnc #165304, bgo #339815, brc #89964, bfo #6824)
* Mon May 22 2006 joeshaw@suse.de
- Don't index /windows partitions by default.  (bnc #177579)
* Fri May 19 2006 gekker@suse.de
- Update translations for cs
* Thu May 11 2006 danw@suse.de
- Update calendar tile patch to only show the first line of events
  with very long descriptions. #174398
* Tue May  2 2006 joeshaw@suse.de
- Add a patch to detect audio/x-vorbis+ogg as a valid music mime
  type.  (Beagle equivalent of bnc #169616)
* Tue May  2 2006 joeshaw@suse.de
- Add a patch to fix up how the ImLogViewer deals with Kopete
  logs.  Make sure to select the right log to extract the "speaking
  to" name, and wrap the log parsing in a try-catch so we can
  ignore logs that aren't valid XML.  (bnc #169792)
- Fix a broken shell substitution in the beagle-imlogviewer script.
* Thu Apr 27 2006 sbrabec@suse.cz
- Fixed typo in cs.po.
* Wed Apr 26 2006 joeshaw@suse.de
- Add patch which fixes HTML being returned in snippets for gaim
  logs and tomboy notes.  (bgo #333261, #328770)
* Tue Apr 25 2006 joeshaw@suse.de
- Add a patch to not hardcode the beagle-settings window size.
  (bnc #169133, bgo #331161)
- Update beagle-hu.patch to fix broken markup.  (bnc #169122)
* Mon Apr 24 2006 joeshaw@suse.de
- Update the calendar patch to correctly display dates in the
  future.
* Mon Apr 24 2006 joeshaw@suse.de
- Add patch to include calendar items in the beagle-search GUI,
  and make double-clicking on a contact open it in evolution.
- Add patch to fix launching of shell scripts with the new
  process stuff.
- Add patch to fix infinite looping in filters that set an
  error.
* Wed Apr 19 2006 joeshaw@suse.de
- Add a patch to check for various places where our filesystem
  could race and we would throw harmless but annoying exceptions.
  (Noticed in bnc #139622)
- Add a patch to back out an upstream change to work around a
  Mono bug, because that change was buggy and is no longer needed
  since we're including a newer Mono than 1.1.13.4.  (bnc #139622,
  will also fix bgo #335178 and #338165 when the requirement
  changes upstream)
* Tue Apr 18 2006 sbrabec@suse.cz
- Fixed Hungarian translation (#167345).
* Fri Apr 14 2006 joeshaw@suse.de
- Add a patch for shutting down cleanly when the X connection is
  broken.  (bnc #159219, bgo #334792)
- Add a patch to only print a warning about increasing your
  inotify limit once, so we don't fill up .xsession-errors.
- Add a patch to safely execute external programs from filters
  and the beagle-search UI.  (bnc #165668)
- Add a patch to use standard IO rather than mmap() for our
  OLE-based filters (ie, MS Word), when OpenOffice writes to it
  quickly.  (bnc #165304)
* Thu Apr 13 2006 sbrabec@suse.cz
- Use new control-center Categories instead of old ones.
* Tue Apr 11 2006 gekker@suse.de
- Don't launch beagle-search on SLED10 and later (#165287)
* Thu Apr  6 2006 joeshaw@suse.de
- Add a patch to add indicies to the sqlite database.  Speeds up
  beagle-build-index on large trees tremendously.  (bgo #337444)
- Use cron.daily for running beagle-crawl-system.  (bnc #147943)
* Tue Apr  4 2006 joeshaw@suse.de
- Fix the warning level patch to also apply to the index helper
  process.
- Add a patch to use native calls in Lucene's locking, to fix a
  common lock timeout bug and work around a mono issue. (bnc
  [#163237])
* Fri Mar 31 2006 gekker@suse.de
- Fix crashes in beagle search (#161421,bgo#336708)
* Fri Mar 24 2006 joeshaw@suse.de
- Fix alignment of widgets in the search bar.  Fixes bnc #153001.
* Wed Mar 22 2006 joeshaw@suse.de
- Add a patch which fixes CWD checks in various shell scripts.
  Fixes bnc #159700.
* Fri Mar 17 2006 joeshaw@suse.de
- Update to 0.2.3.  Contains a workaround for a bad mono leak
  which would cause beagled to use excessive amounts of memory.
- Add a patch to lower the default log level to "Warn" from
  "Debug".
* Tue Mar 14 2006 danw@suse.de
- fix beagle-search to use desktop-launch, and fix dependencies
  accordingly. #156928
* Tue Mar  7 2006 ro@suse.de
- make filelist more fuzzy (.mdb files may be moved to debuginfo
  package)
* Tue Mar  7 2006 joeshaw@suse.de
- Update tarball to 0.2.2.1.  Brown paper bag release that fixes
  configure on 64-bit machines.
* Mon Mar  6 2006 joeshaw@suse.de
- Update tarball to 0.2.2.  Fixes bnc #118588, #150604, and the
  beagle portion of #147947.  Also integrates the patches for
  [#148311] and #147577.  Also fixes roughly 50 bgo bugs, many of
  them minor UI bugs.
- Remove several obsolete patches, regenerate the secure paths
  patch to apply cleanly.
* Mon Feb 20 2006 dmueller@suse.de
- move libbeagleuiglue into beagle-ui
* Mon Feb 20 2006 sbrabec@suse.cz
- Removed obsolete lib64 patch (115329#c12).
* Sat Feb 18 2006 stbinner@suse.de
- fix capitalization typo in Name of .desktop file
* Fri Feb 17 2006 gekker@suse.de
- Fixup .desktop files for UI team
* Fri Feb 17 2006 joeshaw@suse.de
- Remove gmime version requirement patch since it's no longer
  necessary.
* Tue Feb 14 2006 stbinner@suse.de
- added upstream patch to quit beagled on unknown parameter
* Fri Feb 10 2006 joeshaw@suse.de
- Set a 5 minute delay in indexing to avoid disk thrash when
  autostarting the daemon.
- Autostart the beagle-search GUI for 10.1
- Fix 64-bit unclean code in the Mono.Data.SqliteClient we
  cut-and-pasted into Beagle. (bnc #148311)
* Mon Feb  6 2006 joeshaw@suse.de
- Query for the screensaver extension before trying to use it.
  (bnc #148219)
* Sun Feb  5 2006 ro@suse.de
- fix build for < 10.1
* Sun Feb  5 2006 aj@suse.de
- Package /etc/beagle to make it build again.
* Fri Feb  3 2006 joeshaw@suse.de
- Add a patch to fix leaving of tmpfiles in KMail backend.
  (bnc #147577)
* Fri Feb  3 2006 gekker@suse.de
- Add %%config to the files in /etc/beagle (#147942)
* Wed Feb  1 2006 stbinner@suse.de
- Fix beagle split: move .desktop files into beagle-gui
* Mon Jan 30 2006 joeshaw@suse.de
- Update broken tarball
* Mon Jan 30 2006 joeshaw@suse.de
- Update packae to version 0.2.1
- Split out GUI parts into beagle-gui, which should reduce deps
  on core beagle package
* Thu Jan 26 2006 gekker@suse.de
- Drop gnome-icon-theme from requires, not needed
- Drop gtk-sharp-complete and specify the needed subpackages
* Thu Jan 26 2006 joeshaw@suse.de
- Remove galago dependency for now; we're not using it
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 joeshaw@suse.de
- Update package to version 0.2.0
* Wed Jan 18 2006 ro@suse.de
- fix build with new gmime
* Tue Jan 17 2006 meissner@suse.de
- added -fstack-protector
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Mon Jan  9 2006 joeshaw@suse.de
- Don't reference Tiles.dll since we're not building it.  Fixes
  the Holmes build
* Wed Jan  4 2006 gekker@suse.de
- Don't install beagle.xpi, just it's contents (#120329)
- Fix build in x86_64
* Tue Jan  3 2006 joeshaw@suse.de
- Remove an unnecessary warning patch.
- Update lib64 patch to apply cleanly to 0.1.4
- add -fno-strict-aliasing to the python wrapper
* Wed Dec 21 2005 joeshaw@suse.de
- Update package to version 0.1.4
- Disable building of best, since we're now shipping holmes, and
  it'll soon be integrated into the beagle tarball.
- Split off beagle-evolution and beagle-firefox packages, so that
  the core package depends on fewer things.
* Fri Dec  9 2005 gekker@suse.de
- Requires mozilla -> mozilla-xulrunner
* Fri Dec  9 2005 rodrigo@suse.de
- Install desktop files for autostart in GNOME.
* Tue Dec  6 2005 joeshaw@suse.de
- Update package to version 0.1.3
- Remove a couple patches that have been upstreamed
- Package python bindings in libbeagle package
* Thu Dec  1 2005 gekker@suse.de
- Fix %%post and %%postun scripts
* Thu Dec  1 2005 sbrabec@suse.cz
- Fixed missing include.
- Require xpdf-tools only for 10.1 and later.
* Mon Nov 28 2005 gekker@suse.de
- Don't require xpdf and xpdf-config only xpdf-tools (#135444)
* Mon Nov 28 2005 gekker@suse.de
- Fix install of beagle.xpi on x86_64.
* Tue Nov 22 2005 joeshaw@suse.de
- Unpack beagle.xpi into /usr/lib/browser-extensions/firefox/{UUID}
  for Firefox 1.5 support
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed lib64 patch.
* Fri Nov 11 2005 gekker@suse.de
- Update to version 0.1.2
- Require mono version 1.1.10 or later
- Remove upstreamed patch
* Mon Nov  7 2005 sbrabec@suse.cz
- Renamed gecko-sharp-2_0 to gecko-sharp2 in Requires (#132436).
* Mon Oct 24 2005 sbrabec@suse.cz
- Enabled epiphany plugin.
- Fixed syntax error in Czech translation.
- Fixed scriptlets.
* Thu Oct 20 2005 ro@suse.de
- rename gecko-sharp-2_0 to gecko-sharp2 in nfb
* Mon Oct 17 2005 gekker@suse.de
- Add a fixed best.png for the icon file.
* Tue Oct 11 2005 ro@suse.de
- use mozilla-devel-packages in nfb
- try xulrunner if nothing else is found
* Tue Oct  4 2005 gekker@suse.de
- Update to version 0.1.1
- Remove upstreamed patches
* Fri Sep 30 2005 sbrabec@suse.cz
- Use secure paths in wrapper (#118188).
- Fixed for bi-arch (#115329).
* Thu Sep 15 2005 gekker@suse.de
- Don't load best multiple times if also loaded by session (116372)
* Mon Sep 12 2005 clahey@suse.de
- Fix handling of copied files more (116240 part 2)
* Sat Sep 10 2005 aj@suse.de
- We need to su to the beagleindex user, so give it a shell.
* Fri Sep  9 2005 gekker@suse.de
- Fix handling of copied files (116240)
- Fix creation of beagleindex user
- Fix owner of /var/cache/beagle (113424)
* Thu Sep  8 2005 gekker@suse.de
- Fix CPU hogging problem (115566)
- Handle stop words properly (302906)
- Escape backslashes properly in mail backend (314353)
- Handle symlinks better (315469)
- Support gzipped abiword formatted documents (315460)
* Thu Sep  8 2005 gekker@suse.de
- Add xpdf xpdf-config to requirements for pdf indexing (115688)
- Fix beagle to not create excessive files in /tmp (113626)
- Fix to properly handle moved and deleted files (113869)
- Fix beagle page load error in firefox (115322)
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.0.13.3
- Fixes (315072, 315073, 314329, 315074, 314990, 314885)
- Fixes (114824, 315139, 113626)
* Tue Aug 30 2005 aj@suse.de
- /usr/libexec is not allowed by FHS, use proper path.
* Mon Aug 29 2005 gekker@suse.de
- Update to version 0.0.13.2
- Fix building of indexes to occur at sane times (105796)
- Fix races when moving files (bgo 314329)
- Fix compiler warning
* Mon Aug 22 2005 gekker@suse.de
- Disable autostart in KDE
* Fri Aug 19 2005 gekker@suse.de
- Update to version 0.0.13.1
- Remove upstreamed patches
- Now requires gtk-sharp2 and gecko-sharp-2.0
- Fix autostart (102606)
- Add galago-sharp to requires (105722)
* Wed Aug 17 2005 gekker@suse.de
- Use beagle-index rather than nobody (104645).
* Tue Aug 16 2005 ro@suse.de
- remove banshee from nfb: not needed
* Mon Aug 15 2005 meissner@suse.de
- disable epi extensions temporarily.
* Sat Aug 13 2005 aj@suse.de
- Use /var/cache/beagle as cache.
* Fri Aug 12 2005 gekker@suse.de
- Update to version 0.0.13
- Remove upstreamed patches
- Get rid of dog icon
- Use --autostarted switch for (102606)
* Tue Aug  9 2005 gekker@suse.de
- Add x11-tools to nfb and requires (102326)
- Run best correctly when autostarted in KDE (102606)
* Mon Aug  8 2005 sbrabec@suse.cz
- Fixed build of epiphany extension.
* Mon Aug  8 2005 ro@suse.de
- nfb: sonance -> banshee
* Sun Aug  7 2005 aj@suse.de
- Disable epiphany-extensions for now.
* Fri Aug  5 2005 ro@suse.de
- remove epiphany-extensions-devel from nfb
* Wed Aug  3 2005 gekker@suse.de
- Install beagle.xpi for firefox, add preference for enabling it
- Start automatically on KDE (88335)
* Wed Jul 13 2005 sbrabec@suse.cz
- Bi-arch fix.
* Tue Jul 12 2005 sbrabec@suse.cz
- Updated to version 0.0.12.
- Prefix clash fixes.
- Removed unneeded static modules and .la files for modules.
- Build more modules.
* Thu Jul  7 2005 gekker@suse.de
- Fixed the rest of the warnings.
* Tue Jul  5 2005 clahey@suse.de
- Added libbeagle.
- Fixed warnings.
* Wed Jun 15 2005 gekker@suse.de
- Update to version 0.0.11.1
- Add gsf-sharp and libexif to Requires
- Remove dbus dependency as it is no longer required
* Tue Jun 14 2005 gekker@suse.de
- Update to version 0.0.11.
* Tue May 31 2005 gekker@suse.de
- Update to version 0.0.10.
* Sat May 14 2005 aj@suse.de
- Update to version 0.0.9.
* Thu May  5 2005 gekker@suse.de
- Remove gtk-sharp-gapi from Requires.
* Sat Mar 19 2005 gekker@suse.de
- Add beagle-uri-xml.patch, change best.desktop exec
* Fri Mar 18 2005 gekker@suse.de
- Update to version 0.0.8
* Fri Mar 18 2005 gekker@suse.de
- Update to verison 0.0.7.600
* Wed Mar 16 2005 gekker@suse.de
- Update to version 0.0.400
- Don't install beagled.desktop in /opt/kde3/share/autostart
* Tue Mar 15 2005 gekker@suse.de
- Update to version 0.0.7.300
* Mon Mar 14 2005 gekker@suse.de
- Update to version 0.0.7.200
- Add mono-data-sqlite to Requires (72161).
* Mon Mar  7 2005 gekker@suse.de
- Remove wsdl-crash.patch, no longer need to work around crash in mcs
* Mon Mar  7 2005 gekker@suse.de
- Update to version 0.0.7.100
* Mon Feb 28 2005 thoenig@suse.de
- removed dbus-1-devel from Requires (not needed)
* Sun Feb 27 2005 clahey@suse.de
- New version 0.0.6.200.
* Fri Feb 25 2005 gekker@suse.de
- add mono-web and dbus-1-devel to Requires
* Mon Feb 21 2005 gekker@suse.de
- Update to version 0.0.6.100
- This is the first version that works without inotify
- Add wsdl-crash.diff
* Thu Feb 17 2005 gekker@suse.de
- Update to version 0.0.6.1 (supports dbus-1-0.23.1).
* Fri Feb  4 2005 gekker@suse.de
- Initial import of beagle version 0.0.5
